> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/permissions/sets

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/permissions/sets
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of permission sets along with their individual permissions, where a permission set defines the degree of access to a [Secure Object](/2.16/api/creating-secure-objects-and-collections.md#secure-object) or a [collection](/2.16/api/creating-secure-objects-and-collections.md#collection) that a collaborator on this [item](/2.16/api/creating-secure-objects-and-collections.md#item) has.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of *permission sets* along with their individual *permissions*.

A *permission set*:

* Can be applied to an individual collaborator on a newly created or existing Secure Object or collection (i.e. [item](/2.16/api/creating-secure-objects-and-collections.md#item)), whenever collaborators are modified by the item's owner.
* Consists of one or more individual *permissions*, each of which allows specific methods of the Covata API's endpoints involving an item to be called by a Covata user who:

  * is a collaborator on the item and
  * has the appropriate *permission(s)* (by virtue of their *permission set*).

The following table lists each *permission set*, which can be applied by a Covata user with the [Originator role](/2.16/admin/administering-users.md#originator-role) (on their own item) to other Covata users, when the owner of this item adds these other Covata users as collaborators to their [Secure Object](/2.16/api/access-service-api-v1-objects-objectid.md) or [collection](/2.16/api/access-service-api-v1-collections-collectionid.md).

| Permission set | Permissions |
| - | - |
| Download | Download, Print, View |
| Manage | Download, Remove (File), Upload File <sup>\*</sup>, Create Folder <sup>\*</sup>, Remove (Folder) <sup>\*</sup>, Move, Print, Rename, View, View Other |
| Upload (collections only) | Download, Upload File, Print, View, View Other |
| View | View |

<sup>\*</sup> These *permissions* are not applicable when the **Manage** *permission set* is applied to a Secure Object.

> [!NOTE]
>
> Individual *permissions* cannot be applied to collaborators - only *permission sets*.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/2.16/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/2.16/admin.md)):

* [Originator](/2.16/admin/administering-users.md#originator-role)
* [Collaborator](/2.16/admin/administering-users.md#collaborator-role)
* [Ad hoc](/2.16/admin/administering-users.md#adhoc-role)
* [System administrator](/2.16/admin/administering-users.md#system-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/2.16/api/access-service-api-v1-permissions-sets.md#access-service-api-v1-permissions-sets-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **permissionSets** - A list of all available permission sets available through the Covata Platform.

  * **id** - The ID of a specific permission set.
  * **permissions** - A list of individual permissions relating to a specific permission set.

    * **scopes** - This is either `object` (for [Secure Objects](/2.16/api/creating-secure-objects-and-collections.md#secure-object)) or `collection` (for [collections](/2.16/api/creating-secure-objects-and-collections.md#collection)) or both of an individual/specific permission.
    * **nameI18nCode** - The I18N code of the specific permission's name, which is one of the following (listed by the English language name value for the permission):

      * **Download** - `server.permission.name.download`
      * **Remove** (File) - `server.permission.name.file.delete`
      * **Upload File** - `server.permission.name.file.upload`
      * **Create Folder** - `server.permission.name.folder.create`
      * **Remove** (Folder) - `server.permission.name.folder.delete`
      * **Move** - `server.permission.name.move`
      * **Print** - `server.permission.name.print`
      * **Rename** - `server.permission.name.rename`
      * **View** - `server.permission.name.view`
      * **View Other** - `server.permission.name.view.other`
    * **id** - The ID of the specific permission.
  * **scopes** - This is either `object` (for [Secure Objects](/2.16/api/creating-secure-objects-and-collections.md#secure-object)) or `collection` (for [collections](/2.16/api/creating-secure-objects-and-collections.md#collection)) or both of the specific permission set.
  * **nameI18nCode** - The I18N code of the specific permission set's name, which is one of the following (listed by the English language name value for the permission set):

    * **Download** - `server.permissionset.name.download`
    * **Manage** - `server.permissionset.name.manage`
    * **Upload** - `server.permissionset.name.upload`
    * **View** - `server.permissionset.name.view`
  * **descriptionI18nCode** - The I18N code of the specific permission set's description.

  **Example:**


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.